Generate Blog Post Titles
curl --request POST \
--url https://api.sellauth.com/v1/shops/{shopId}/blog-posts-generate/titles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"count": 3,
"description": "Dolor et optio rerum quaerat ut.",
"product_ids": [
6
],
"category_ids": [
6
],
"tone": "casual",
"language": "jqotbhpzwonwlzospqcsn",
"min_words": 22,
"max_words": 5,
"audience": "rciatkmatldznkaapjptd",
"category_profile": "gift_cards"
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/blog-posts-generate/titles"
payload = {
"count": 3,
"description": "Dolor et optio rerum quaerat ut.",
"product_ids": [6],
"category_ids": [6],
"tone": "casual",
"language": "jqotbhpzwonwlzospqcsn",
"min_words": 22,
"max_words": 5,
"audience": "rciatkmatldznkaapjptd",
"category_profile": "gift_cards"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
count: 3,
description: 'Dolor et optio rerum quaerat ut.',
product_ids: [6],
category_ids: [6],
tone: 'casual',
language: 'jqotbhpzwonwlzospqcsn',
min_words: 22,
max_words: 5,
audience: 'rciatkmatldznkaapjptd',
category_profile: 'gift_cards'
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/blog-posts-generate/titles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sellauth.com/v1/shops/{shopId}/blog-posts-generate/titles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'count' => 3,
'description' => 'Dolor et optio rerum quaerat ut.',
'product_ids' => [
6
],
'category_ids' => [
6
],
'tone' => 'casual',
'language' => 'jqotbhpzwonwlzospqcsn',
'min_words' => 22,
'max_words' => 5,
'audience' => 'rciatkmatldznkaapjptd',
'category_profile' => 'gift_cards'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sellauth.com/v1/shops/{shopId}/blog-posts-generate/titles"
payload := strings.NewReader("{\n \"count\": 3,\n \"description\": \"Dolor et optio rerum quaerat ut.\",\n \"product_ids\": [\n 6\n ],\n \"category_ids\": [\n 6\n ],\n \"tone\": \"casual\",\n \"language\": \"jqotbhpzwonwlzospqcsn\",\n \"min_words\": 22,\n \"max_words\": 5,\n \"audience\": \"rciatkmatldznkaapjptd\",\n \"category_profile\": \"gift_cards\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sellauth.com/v1/shops/{shopId}/blog-posts-generate/titles")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"count\": 3,\n \"description\": \"Dolor et optio rerum quaerat ut.\",\n \"product_ids\": [\n 6\n ],\n \"category_ids\": [\n 6\n ],\n \"tone\": \"casual\",\n \"language\": \"jqotbhpzwonwlzospqcsn\",\n \"min_words\": 22,\n \"max_words\": 5,\n \"audience\": \"rciatkmatldznkaapjptd\",\n \"category_profile\": \"gift_cards\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sellauth.com/v1/shops/{shopId}/blog-posts-generate/titles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"count\": 3,\n \"description\": \"Dolor et optio rerum quaerat ut.\",\n \"product_ids\": [\n 6\n ],\n \"category_ids\": [\n 6\n ],\n \"tone\": \"casual\",\n \"language\": \"jqotbhpzwonwlzospqcsn\",\n \"min_words\": 22,\n \"max_words\": 5,\n \"audience\": \"rciatkmatldznkaapjptd\",\n \"category_profile\": \"gift_cards\"\n}"
response = http.request(request)
puts response.read_bodyBlog Posts
Generate Blog Post Titles
Drafts titles and short descriptions for the user to review. Nothing is saved.
POST
/
v1
/
shops
/
{shopId}
/
blog-posts-generate
/
titles
Generate Blog Post Titles
curl --request POST \
--url https://api.sellauth.com/v1/shops/{shopId}/blog-posts-generate/titles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"count": 3,
"description": "Dolor et optio rerum quaerat ut.",
"product_ids": [
6
],
"category_ids": [
6
],
"tone": "casual",
"language": "jqotbhpzwonwlzospqcsn",
"min_words": 22,
"max_words": 5,
"audience": "rciatkmatldznkaapjptd",
"category_profile": "gift_cards"
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/blog-posts-generate/titles"
payload = {
"count": 3,
"description": "Dolor et optio rerum quaerat ut.",
"product_ids": [6],
"category_ids": [6],
"tone": "casual",
"language": "jqotbhpzwonwlzospqcsn",
"min_words": 22,
"max_words": 5,
"audience": "rciatkmatldznkaapjptd",
"category_profile": "gift_cards"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
count: 3,
description: 'Dolor et optio rerum quaerat ut.',
product_ids: [6],
category_ids: [6],
tone: 'casual',
language: 'jqotbhpzwonwlzospqcsn',
min_words: 22,
max_words: 5,
audience: 'rciatkmatldznkaapjptd',
category_profile: 'gift_cards'
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/blog-posts-generate/titles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sellauth.com/v1/shops/{shopId}/blog-posts-generate/titles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'count' => 3,
'description' => 'Dolor et optio rerum quaerat ut.',
'product_ids' => [
6
],
'category_ids' => [
6
],
'tone' => 'casual',
'language' => 'jqotbhpzwonwlzospqcsn',
'min_words' => 22,
'max_words' => 5,
'audience' => 'rciatkmatldznkaapjptd',
'category_profile' => 'gift_cards'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sellauth.com/v1/shops/{shopId}/blog-posts-generate/titles"
payload := strings.NewReader("{\n \"count\": 3,\n \"description\": \"Dolor et optio rerum quaerat ut.\",\n \"product_ids\": [\n 6\n ],\n \"category_ids\": [\n 6\n ],\n \"tone\": \"casual\",\n \"language\": \"jqotbhpzwonwlzospqcsn\",\n \"min_words\": 22,\n \"max_words\": 5,\n \"audience\": \"rciatkmatldznkaapjptd\",\n \"category_profile\": \"gift_cards\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sellauth.com/v1/shops/{shopId}/blog-posts-generate/titles")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"count\": 3,\n \"description\": \"Dolor et optio rerum quaerat ut.\",\n \"product_ids\": [\n 6\n ],\n \"category_ids\": [\n 6\n ],\n \"tone\": \"casual\",\n \"language\": \"jqotbhpzwonwlzospqcsn\",\n \"min_words\": 22,\n \"max_words\": 5,\n \"audience\": \"rciatkmatldznkaapjptd\",\n \"category_profile\": \"gift_cards\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sellauth.com/v1/shops/{shopId}/blog-posts-generate/titles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"count\": 3,\n \"description\": \"Dolor et optio rerum quaerat ut.\",\n \"product_ids\": [\n 6\n ],\n \"category_ids\": [\n 6\n ],\n \"tone\": \"casual\",\n \"language\": \"jqotbhpzwonwlzospqcsn\",\n \"min_words\": 22,\n \"max_words\": 5,\n \"audience\": \"rciatkmatldznkaapjptd\",\n \"category_profile\": \"gift_cards\"\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
You can retrieve your API key from your dashboard under Account > Developers.
Body
application/json
Response
200